VSTGUI: ModelBindingCallbacks Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Static Public Member Functions | List of all members
ModelBindingCallbacks Class Reference

`#include <modelbinding.h>`

Inheritance diagram for ModelBindingCallbacks:

## Public Member Functions
| ModelBindingCallbacks ()=default
| ~ModelBindingCallbacks () override
ValuePtr | addValue (ValuePtr value, const ValueCalls &callbacks={})
ValuePtr | addValue (ValuePtr value, ValueCalls &&callbacks)
ValuePtr | getValue (UTF8StringView valueID) const
const ValueList & | getValues () const override
Public Member Functions inherited from ValueListenerAdapter
void | onBeginEdit (IValue &value) override
| Value begins editing. More...
void | onPerformEdit (IValue &value, IValue::Type newValue) override
| Value performed an edit. More...
void | onEndEdit (IValue &value) override
| Value ends editing. More...
void | onStateChange (IValue &value) override
| Value changed some of its state. More...
virtual void | onBeginEdit (IValue &value)=0
| Value begins editing. More...
virtual void | onPerformEdit (IValue &value, IValue::Type newValue)=0
| Value performed an edit. More...
virtual void | onEndEdit (IValue &value)=0
| Value ends editing. More...
virtual void | onStateChange (IValue &value)=0
| Value changed some of its state. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()
virtual const ValueList & | getValues () const =0

## Static Public Member Functions
static ModelBindingCallbacksPtr | make ()

## Additional Inherited Members
Public Types inherited from IModelBinding
using | ValueList = std::vector< ValuePtr >

## Constructor & Destructor Documentation

## ◆ ModelBindingCallbacks()

ModelBindingCallbacks | ( |  | ) |
| default

## ◆ ~ModelBindingCallbacks()

~ModelBindingCallbacks | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ addValue() [1/2]

ValuePtr addValue | ( | ValuePtr | value,
|  | const ValueCalls & | callbacks = `{}`
| ) |  |
| inline

## ◆ addValue() [2/2]

ValuePtr addValue | ( | ValuePtr | value,
|  | ValueCalls && | callbacks
| ) |  |
| inline

## ◆ getValue()

ValuePtr getValue | ( | UTF8StringView | valueID | ) | const
| inline

## ◆ getValues()

const ValueList & getValues | ( |  | ) | const
| inlineoverridevirtual

Implements IModelBinding.

## ◆ make()

static ModelBindingCallbacksPtr make | ( |  | ) |
| inlinestatic

The documentation for this class was generated from the following file:

- modelbinding.h